/* BLOCK: Post Sidebar */

.block-post-sidebar .wrap > :not(:last-child) {
    margin-bottom: 1.25rem;
}

.block-post-sidebar .main-cta {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1.25rem;
    padding: 1.875rem;
    border-radius: 1.5625rem;
    overflow: hidden;
    min-height: 14.375rem;
    isolation: isolate;
    transition: background-color 300ms ease-out;
}

.block-post-sidebar .main-cta::before {
    content: '';
    position: absolute;
    inset: 0;
    z-index: -1;
    background-color: rgb(0 0 0 / 0.4);
    opacity: 0;
    transition: opacity 300ms ease-out;
    pointer-events: none;
}

.block-post-sidebar .main-cta:is(:hover,:focus-within) {
    background-color: var(--c-bg-dark);
}

.block-post-sidebar .main-cta:is(:hover,:focus-within)::before {
    opacity: 1;
}

.block-post-sidebar .main-cta .cta__title {
    max-width: 10rem;
    color: var(--theme-clr-heading, currentColor);
    text-decoration: none;
    transition: color 300ms ease-out;
}

.block-post-sidebar .main-cta:is(:hover,:focus-within) .cta__title {
    color: var(--c-text-light);
}

.block-post-sidebar .main-cta .cta__icon {
    width: 1.25rem;
    height: auto;
    transition: 300ms ease-out;
    transition-property: transform, color;
}

.block-post-sidebar .main-cta:is(:hover,:focus-within) .cta__icon {
    transform: rotate(-45deg);
    color: var(--c-text-light);
}

.block-post-sidebar .main-cta .cta__image {
    --offset: 46%;
    position: absolute;
    bottom: 0;
    right: 1.75rem;
    width: 35%;
    height: auto;
    filter: drop-shadow(0rem 0.625rem 0.625rem rgb(from var(--c-text-dark) r g b / .5));
    transform: translateY(var(--offset));
    transition: transform 300ms ease-out;
    pointer-events: none;
}

.block-post-sidebar .main-cta:is(:hover,:focus-within) .cta__image {
    --offset: 39%;
}

.block-post-sidebar .secondary-cta {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    gap: 1.25rem;
    padding: 1.875rem;
    border-radius: 1.5625rem;
    overflow: hidden;
    isolation: isolate;
}

.block-post-sidebar .secondary-cta::before {
    content: '';
    position: absolute;
    inset: 0;
    z-index: -1;
    background-color: rgb(0 0 0 / 0.4);
    opacity: 0;
    transition: opacity 300ms ease-out;
    pointer-events: none;
}

.block-post-sidebar .secondary-cta:is(:hover,:focus-within)::before {
    opacity: 1;
}

.block-post-sidebar .secondary-cta .cta__tag {
    font-size: var(--font-13-11);
    font-weight: 600;
    padding: 0.625rem 0.5rem;
    border-radius: 0.5rem;
    background-color: var(--c-bg-light-tint-1);
    color: var(--c-primary);
}

.block-post-sidebar .secondary-cta .cta__title {
    text-decoration: none;
    transition: color 300ms ease-out;
}

.block-post-sidebar .secondary-cta:is(:hover,:focus-within) .cta__title {
    color: var(--c-text-light);
}

.block-post-sidebar .secondary-cta .cta__icon {
    margin-top: 0.625rem;
    width: 1.25rem;
    height: auto;
    transition: 300ms ease-out;
    transition-property: transform, color;
}

.block-post-sidebar .secondary-cta:is(:hover,:focus-within) .cta__icon {
    transform: rotate(-45deg);
    color: var(--c-text-light);
}

.block-post-sidebar .form-wrapper {
    padding: 1.875rem;
    border-radius: 1.5625rem;
}

.block-post-sidebar .form-wrapper :is(h5, .h5) {
    margin-bottom: 1.875rem;
}

.block-post-sidebar .form-wrapper .gform_fields input {
    background-color: var(--c-text-light);
    border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    border-radius: 0.75rem;
}

.block-post-sidebar .form-wrapper .gform-theme--foundation .gform_fields {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.block-post-sidebar .form-wrapper .gfield--type-email {
    margin-top: 0.75rem;
    margin-bottom: 1.5625rem;
}

.block-post-sidebar .form-wrapper .gfield--type-html {
    margin-bottom: 0;
}

.block-post-sidebar .form-wrapper .gform-theme--foundation .gfield input {
    padding: 1rem;
}

.block-post-sidebar .form-wrapper .gform_wrapper .gfield--type-html.form-info:not(:first-child) {
    margin-top: 0;
}

.block-post-sidebar .form-wrapper .gform_wrapper .gfield--type-html.form-info {
    font-size: var(--font-12-9);
    color: var(--theme-clr-heading);
}

@media screen and (width > 761px) {
    .block-post-sidebar .form-wrapper :is(h5, .h5) {
        --fs: var(--font-21-15);
    }
}

@media screen and (width < 762px) {
    .block-post-sidebar {
        padding-top: 4.6875rem;
        border-top: 1px solid rgb(from var(--c-text-dark) r g b / .15);
    }
    .block-post-sidebar .main-cta,
    .block-post-sidebar .secondary-cta {
        display: none;
    }
    .block-post-sidebar .form-wrapper {
        border-radius: 1.125rem;
    }
    .block-post-sidebar .form-wrapper .gfield--type-email {
        margin-top: 0.625rem;
        margin-bottom: 1.25rem;
    }
}

@media screen and (width <= 420px) {
    .block-post-sidebar .main-cta .cta__title {
        max-width: 5.625rem;
    }
    .block-post-sidebar .main-cta .cta__icon {
        width: 1.125rem;
    }
    .block-post-sidebar .main-cta .cta__image {
        width: 40%;
        right: 1.25rem;
    }
}